# Create UPFS File System - CreateUPFSVolume

## Overview

Create UPFS File System






## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `CreateUPFSVolume`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.netlake.cn/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Region** | string | Region. See [List of Regions and Availability Zones](/docs/api/summary/regionlist) |**Yes**|
| **Zone** | string | Availability Zone. See [Availability Zone List](/docs/api/summary/regionlist) |**Yes**|
| **ProjectId** | string | Project ID. If not filled in, the default project is used, sub-accounts must be filled in. Please refer to the [GetProjectList interface](/docs/api/summary/get_project_list). |No|
| **Size** | int | The size of the file system, in GB, must be a multiple of 100. The minimum size for capacity-based file systems is 500GB. |**Yes**|
| **ProtocolType** | string | File system protocol, currently only supports NFSv4 |**Yes**|
| **VolumeName** | string | File System Name |No|
| **Remark** | string | Note |No|
| **Tag** | string | File System's Business Group |No|
| **ChargeType** | string | Billing mode, enumeration values are: Year, pay annually; Month, pay monthly |No|
| **Quantity** | int | Purchase Duration Default: 1 |No|
| **CouponId** | string | ID of the voucher used |No|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|
| **VolumeName** | string | UPFS File System Name |**Yes**|
| **VolumeId** | string | UPFS File System ID |**Yes**|




## Example

### Request Example
    
```
https://api.netlake.cn/?Action=CreateUPFSVolume
&Region=cn-zj
&ProjectId=UouLEiOt
&Size=4
&ProtocolType=dWbtQiOv
&VolumeName=zQABQdGmsQkWEVoOFPxfNOBJCWzefPkNNYRZDmumJfAWnOlZRZrOkVHIfguSXeynoYYBAeBdJOwmkQJyseKePrKbfhKckIaWgmEdnknmRKLVNnDpaIdURTfAqNuyUXOtJlrZzMMthpRtFJVLMEjhIQhjrqTQOwDYJsSCswNcAhISCOjNLOunrheQaQZREoMnAszBVOnYcNzeYCnQYplZPBBWVWIzwUmLMNuRWcgUMDtcjMyWJUKtGAknhWYjSWKklGTbRzTTlObiBPBzwAaIkleEfDVIUtRQBlDcCaXNIGeqRQfuoGfzGSuPmQnnrWZDgyXKKPfoltun
&Remark=zzSyNpCmlQmMiiaIAwcHkUdcimhMvNbniAUOmpxbkbAkNohPYSpMfEnfleTyUglABtWikJynlbvLhLRbbbJQKKyySISqkXnQTbVwWOTSQkuffnCRkSrVpvjWGwOIgwncXQimEzjPGmGYCLWqPzjOVBTUsVEGnRenvxlTDdTDKgVRVUhthPjFjGvOVPeSCZpLavPjHkQTRPZOuVuhsVIUviApOHmOgIQfVIWNlnvOvqfQVVhnBrlxKsUryvdfnqHGJpvgNdYgxEbESENLCciTirvXYZUPzDULPOQEPitithZpGRcbVaaZpxIjxuyadqeCPkkYwmCXIYoy
&Tag=JHVqqQaz
&ChargeType=SVnNEeBj
&Quantity=1
&CouponId=acOyQkgv
&Zone=eTXhhVqF
```

### Response Example
    
```json
{
  "Action": "CreateUPFSVolumeResponse",
  "RetCode": 0,
  "VolumeId": "IAEnrdkGVXYXLcGWGGePIzARDOUxMZRFYwH",
  "VolumeName": "cqfcgBucfixurIjAOlczCLisfuFLIJIELAU"
}
```





